SpyBara
Go Premium

resources/skills/methods/list/index.md 2026-05-02 05:57 UTC to 2026-05-05 23:00 UTC

108 added, 0 removed.

2026
Wed 27 06:42 Fri 22 06:33 Wed 20 06:35 Tue 19 06:34 Mon 18 22:01 Mon 11 18:00 Thu 7 21:57 Tue 5 23:00 Sat 2 05:57
Data Information:
  • After 2026-05-05 06:03 UTC, this monitor no longer uses markdownified HTML/MDX. Comparisons across that boundary can therefore show more extensive diffs.

List all skills for the current project.

get /skills

List all skills for the current project.

Query Parameters

  • after: optional string

    Identifier for the last item from the previous pagination request

  • limit: optional number

    Number of items to retrieve

  • order: optional "asc" or "desc"

    Sort order of results by timestamp. Use asc for ascending order or desc for descending order.

    • "asc"

    • "desc"

Returns

  • SkillList object { data, first_id, has_more, 2 more }

    • data: array of Skill

      A list of items

      • id: string

        Unique identifier for the skill.

      • created_at: number

        Unix timestamp (seconds) for when the skill was created.

      • default_version: string

        Default version for the skill.

      • description: string

        Description of the skill.

      • latest_version: string

        Latest version for the skill.

      • name: string

        Name of the skill.

      • object: "skill"

        The object type, which is skill.

        • "skill"
    • first_id: string

      The ID of the first item in the list.

    • has_more: boolean

      Whether there are more items available.

    • last_id: string

      The ID of the last item in the list.

    • object: "list"

      The type of object returned, must be list.

      • "list"

Example

curl https://api.openai.com/v1/skills \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "data": [
    {
      "id": "id",
      "created_at": 0,
      "default_version": "default_version",
      "description": "description",
      "latest_version": "latest_version",
      "name": "name",
      "object": "skill"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id",
  "object": "list"
}